%%%
%%% lecture-notes.cls
%%% Provides a document class for lecture notes, based on tufte-latex
%%% Andrew Clifton
%%% May, 2015
%%%

\ProvidesClass{lecture-notes}[2012/08/16 Andrew Clifton]
\NeedsTeXFormat{LaTeX2e}[1999/09/01]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{tufte-handout}}
\ProcessOptions\relax

\LoadClass{tufte-handout}

\RequirePackage{booktabs} % Nice tables
\RequirePackage{hyperref} % Links

% Bug in tufte-latex workaround
\renewcommand\allcapsspacing[1]{{\addfontfeature{LetterSpace=15}#1}}
\renewcommand\smallcapsspacing[1]{{\addfontfeature{LetterSpace=10}#1}}

% Citations. Both in the text and in the sidebar. The NoHyper makes the actual
% citation link to the bibliography at the end, rather than to the bibentry
% in the margin. It also has the unfortunate side effect of making any URLs
% in the margin entry not work, but the URLs in the actual bibliography still
% work as expected, and they're only a click away.
\newcommand{\mcitet}[2][]{\citet[#1]{#2}\marginnote{\begin{NoHyper}\bibentry{#2}\end{NoHyper}}}
\newcommand{\mcitep}[2][]{\citep[#1]{#2}\marginnote{\begin{NoHyper}\bibentry{#2}\end{NoHyper}}}

\endinput